/****************************************************************************/
/* SUMMARY:                                                                 */
/* The script invokes Oracle optimizer statistic collection stored          */
/* procedure. Stored procedure must exist in the current schema.            */
/*                                                                          */
/* Please review the load_bl_gather_schema_stats script for descriptions of */
/* the input parameters and internal logic of the BL_GATHER_SCHEMA_STATS    */
/* stored procedure.                                                        */
/****************************************************************************/
SET SERVEROUTPUT ON SIZE UNLIMITED FORMAT WRAP
--
DECLARE
  lv_start_time TIMESTAMP := SYSTIMESTAMP;
  lv_elapsed    INTERVAL DAY(2) TO SECOND (4);
BEGIN
  BL_GATHER_SCHEMA_STATS
  (
   p_threshold_rows  => 1000000,
   p_threshold_bytes => 104857600,
   p_no_invalidate   => 'Y',
   p_print_only      => 'N'
  );
  --
  lv_elapsed := SYSTIMESTAMP - lv_start_time;
  --
  DBMS_OUTPUT.PUT_LINE('Finished collecting statistics. Time elapsed: ' || to_char(lv_elapsed));
END;
/