/****************************************************************************/
/* SUMMARY:                                                                 */
/* The script generates a script to collect Oracle optimizer statistic for  */
/* the current schema. It invokes the stats collection stored procedure.    */
/* The stored procedure must exist in the current schema.                   */
/* Script file name is autogenerated and has the following format:          */
/*  gather_schema_stats_autogen_YYYY_MM_DD_HH24_MI_SS.sql                   */
/*                                                                          */
/* If script file already exits for any reason, it will be overwritten.     */
/*                                                                          */
/* POSITIONAL PARAMETERS:                                                   */
/* None                                                                     */
/*                                                                          */
/* Please review the load_bl_gather_schema_stats script for descriptions of */
/* the input parameters and internal logic of the BL_GATHER_SCHEMA_STATS    */
/* stored procedure.                                                        */
/****************************************************************************/
SET TRIMSPOOL ON TERMOUT OFF FEEDBACK OFF
SET VERIFY OFF LINESIZE 256 PAGESIZE 50000
SET SERVEROUTPUT ON SIZE UNLIMITED FORMAT WRAP
WHENEVER OSERROR EXIT FAILURE
WHENEVER SQLERROR EXIT FAILURE
COLUMN spool_file NEW_VALUE spool_file NOPRINT
SELECT
       'gather_schema_stats_autogen_' || 
       TO_CHAR(SYSDATE, 'YYYY_MM_DD_HH24_MI_SS') ||
       '.sql' spool_file
FROM
       DUAL
;
--
SPOOL '&&spool_file' REPLACE
--
BEGIN
  BL_GATHER_SCHEMA_STATS
  (
   p_threshold_rows  => 1000000,
   p_threshold_bytes => 104857600,
   p_no_invalidate   => 'Y',
   p_print_only      => 'Y'
  );
END;
/
--
SPOOL OFF
SET TERMOUT ON
PROMPT Successfully generated stats collection script:
PROMPT &&spool_file
